Contacts
Update a contact document's type or notes
Updates the documentType and/or notes on a document attached to a contact. At least one of the two fields must be provided.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
contactId*string
documentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/contacts/string/documents/string" \ -H "Content-Type: application/json" \ -d '{ "documentType": "Proof of Address", "notes": "Updated label after re-review" }'{ "success": true, "document": { "_id": "64f0a1b2c3d4e5f6a7b8ca40", "storageKey": "org/64f0a1b2c3d4e5f6a7b8c9d3/contact/64f0a1b2c3d4e5f6a7b8c9d0/2026/id-proof.pdf", "filename": "id-proof.pdf", "contentType": "application/pdf", "documentType": "ID Proof" }}